Search People or Companies
curl --request POST \
--url https://api.aisa.one/apis/v1/clay/search-people-or-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 1,
"query": "select from companies where people.exists(is_current = true and job_title is_similar_to (\"VP Sales\"))"
}
'import requests
url = "https://api.aisa.one/apis/v1/clay/search-people-or-companies"
payload = {
"limit": 1,
"query": "select from companies where people.exists(is_current = true and job_title is_similar_to (\"VP Sales\"))"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 1,
query: 'select from companies where people.exists(is_current = true and job_title is_similar_to ("VP Sales"))'
})
};
fetch('https://api.aisa.one/apis/v1/clay/search-people-or-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/clay/search-people-or-companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 1,
'query' => 'select from companies where people.exists(is_current = true and job_title is_similar_to ("VP Sales"))'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/clay/search-people-or-companies"
payload := strings.NewReader("{\n \"limit\": 1,\n \"query\": \"select from companies where people.exists(is_current = true and job_title is_similar_to (\\\"VP Sales\\\"))\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/clay/search-people-or-companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 1,\n \"query\": \"select from companies where people.exists(is_current = true and job_title is_similar_to (\\\"VP Sales\\\"))\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/clay/search-people-or-companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 1,\n \"query\": \"select from companies where people.exists(is_current = true and job_title is_similar_to (\\\"VP Sales\\\"))\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"name": "<string>",
"location": {
"city": "<string>",
"name": "<string>",
"state_or_province": "<string>"
},
"last_name": "<string>",
"first_name": "<string>",
"clay_profile_id": 123,
"matched_experiences": [
{
"title": "<string>",
"company": "<string>",
"end_date": "<string>",
"location": "<string>",
"start_date": "<string>"
}
],
"linkedin_url": "<string>"
}
],
"has_more": true,
"search_id": "<string>",
"source_type": "people",
"period_quota": {
"used": 123,
"limit": 123,
"remaining": 123,
"resets_at": "<string>"
},
"exhaustion_reason": "query_limit"
}Clay
Search People or Companies
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0743 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
clay
/
search-people-or-companies
Search People or Companies
curl --request POST \
--url https://api.aisa.one/apis/v1/clay/search-people-or-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 1,
"query": "select from companies where people.exists(is_current = true and job_title is_similar_to (\"VP Sales\"))"
}
'import requests
url = "https://api.aisa.one/apis/v1/clay/search-people-or-companies"
payload = {
"limit": 1,
"query": "select from companies where people.exists(is_current = true and job_title is_similar_to (\"VP Sales\"))"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 1,
query: 'select from companies where people.exists(is_current = true and job_title is_similar_to ("VP Sales"))'
})
};
fetch('https://api.aisa.one/apis/v1/clay/search-people-or-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/clay/search-people-or-companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 1,
'query' => 'select from companies where people.exists(is_current = true and job_title is_similar_to ("VP Sales"))'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/clay/search-people-or-companies"
payload := strings.NewReader("{\n \"limit\": 1,\n \"query\": \"select from companies where people.exists(is_current = true and job_title is_similar_to (\\\"VP Sales\\\"))\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/clay/search-people-or-companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 1,\n \"query\": \"select from companies where people.exists(is_current = true and job_title is_similar_to (\\\"VP Sales\\\"))\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/clay/search-people-or-companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 1,\n \"query\": \"select from companies where people.exists(is_current = true and job_title is_similar_to (\\\"VP Sales\\\"))\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"name": "<string>",
"location": {
"city": "<string>",
"name": "<string>",
"state_or_province": "<string>"
},
"last_name": "<string>",
"first_name": "<string>",
"clay_profile_id": 123,
"matched_experiences": [
{
"title": "<string>",
"company": "<string>",
"end_date": "<string>",
"location": "<string>",
"start_date": "<string>"
}
],
"linkedin_url": "<string>"
}
],
"has_more": true,
"search_id": "<string>",
"source_type": "people",
"period_quota": {
"used": 123,
"limit": 123,
"remaining": 123,
"resets_at": "<string>"
},
"exhaustion_reason": "query_limit"
}请求规范
- 方法与路径: POST /apis/v1/clay/search-people-or-companies
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/clay/search-people-or-companies - Runtime 事实版本: 1b66e4ac22ad7accf106c93ad15ab0dcefd2197d53ffd08cec5faaabe42bce20
{
"operationId": "clay.search-people-or-companies",
"method": "POST",
"path": "/apis/v1/clay/search-people-or-companies",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"limit": {
"maximum": 50,
"minimum": 1,
"type": "integer",
"description": "Required maximum number of records to request for the first page (1–50).",
"examples": [
1,
10,
50
]
},
"query": {
"type": "string",
"examples": [
"select from companies where people.exists(is_current = true and job_title is_similar_to (\"VP Sales\"))"
],
"minLength": 1,
"description": "Clay advanced-search query for people or companies. Call Get Search Query Reference first when the grammar or available fields are unknown. Count-mode and jobs queries are not supported by Clay query-mode."
}
},
"required": [
"limit",
"query"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0743,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0743 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0743
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Required maximum number of records to request for the first page (1–50).
必填范围:
1 <= x <= 50示例:
1
10
50
Clay advanced-search query for people or companies. Call Get Search Query Reference first when the grammar or available fields are unknown. Count-mode and jobs queries are not supported by Clay query-mode.
Minimum string length:
1示例:
"select from companies where people.exists(is_current = true and job_title is_similar_to (\"VP Sales\"))"